<solidify-base-action-dialog [titleToTranslate]="'deposit.dialog.category.title' | translate">
  <form (ngSubmit)="onSubmit()"
        [formGroup]="form"
  >
    <div class="left-part">

      <mat-form-field *ngIf="getFormControl(formDefinition.dataCategory) as fd"
                      [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                      solidifyTooltipOnEllipsis
      >
        <mat-label>{{labelTranslateEnum.dataCategory | translate}}</mat-label>
        <mat-select [formControl]="fd">
          <mat-option (click)="selectCategory()"
                      *ngFor="let dataCategory of (listDataCategoriesObs | async)"
                      [value]="dataCategory"
                      solidifyTooltipOnEllipsis
          >
            {{enumUtil.getLabel(enumsDataCategoryAndType.DataCategoryEnumTranslate, dataCategory) | translate}}
          </mat-option>
        </mat-select>
      </mat-form-field>

      <mat-form-field *ngIf="getFormControl(formDefinition.dataType) as fd"
                      [class.mat-form-field-invalid]="formValidationHelper.displayInvalidWhenRequired(fd, displayEmptyRequiredFieldInError)"
                      solidifyTooltipOnEllipsis
      >
        <mat-label>{{labelTranslateEnum.dataType | translate}}</mat-label>
        <mat-select [formControl]="fd">
          <mat-option #matOption
                      (click)="selectDataType()"
                      *ngFor="let dataType of (listDataTypesObs | async)"
                      [value]="dataType"
                      solidifyTooltipOnEllipsis
          >
            {{enumUtil.getLabel(enumsDataCategoryAndType.DataTypeEnumTranslate, dataType) | translate}}
          </mat-option>
        </mat-select>
      </mat-form-field>

      <ng-template [ngIf]="getFormControl(formDefinition.dataType).value === dataTypeEnum.CUSTOM_METADATA">
        <solidify-searchable-single-select *ngIf="getFormControl(formDefinition.metadataType) as fd"
                                           [formControl]="fd"
                                           [labelCallback]="metadataTypeLabelCallback"
                                           [labelKey]="'name'"
                                           [placeholder]="labelTranslateEnum.metadataType | translate"
                                           [required]="formValidationHelper.hasRequiredField(fd)"
                                           [resourceNameSpace]="depositDataFileMetadataTypeActionNameSpace"
                                           [state]="depositDataFileMetadataTypeState"
                                           [valueKey]="'resId'"
                                           solidifyValidation
        >
        </solidify-searchable-single-select>
      </ng-template>
    </div>
  </form>
</solidify-base-action-dialog>

<div class="footer"
     mat-dialog-actions
>
  <button [mat-dialog-close]=""
          cdkFocusInitial
          mat-button
          color="primary"
  >{{labelTranslateEnum.close | translate}}
  </button>
  <button (click)="onSubmit()"
          (onEnter)="onSubmit()"
          [disabled]="form.invalid || form.pristine || !isFormValid"
          [solidifyButtonSpinner]="isLoadingObs | async"
          color="primary"
          mat-flat-button
          solidifyShortCuts
  >{{labelTranslateEnum.confirm | translate}}
  </button>
</div>
